#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [
    'Click>=6.0',
    # TODO: put package requirements here
]

test_requirements = [
    # TODO: put package test requirements here
]

setup(
    name='BuildChecker',
    version='0.1.1',
    description="Helps to get notification when building your application. Used mainly while training your deep neural network.",
    long_description=readme + '\n\n' + history,
    author="Ashwin Raju",
    author_email='ashwinraju101@gmail.com',
    url='https://github.com/ashwin1992/BuildChecker',
    packages=[
        'BuildChecker',
    ],
    package_dir={'BuildChecker':
                 'BuildChecker'},
    entry_points={
        'console_scripts': [
            'BuildChecker=BuildChecker.cli:main'
        ]
    },
    include_package_data=True,
    install_requires=requirements,
    license="Apache Software License 2.0",
    zip_safe=False,
    keywords='BuildChecker',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Apache Software License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
    test_suite='tests',
    tests_require=test_requirements
)
